module System.Simple.Network (Socket,PortNumber,listenOn,accept) where

import SimpleH
import Network (Socket)
import qualified Network as Net
import System.IO
import Data.Word (Word16)

type PortNumber = Word16

listenOn :: PortNumber -> IO Socket
listenOn = Net.listenOn . Net.PortNumber . fromIntegral

accept :: Socket -> IO Handle
accept = map2 (\(h,_,_) -> h) Net.accept
